package grafikchat.model;

import java.util.Observer;

/**
 * Interface for server and client
 * 
 * @author marian
 */
public interface Transceiver
{
    /**
     * Initialize the transceiver
     */
    public void init();
    
    /**
     * Send object
     * @param d TransceiverData to send
     */
    public void sendMessage(TransceiverData d);
    
    /**
     * Register on transceiver
     * @param o Object to register
     */
    public void registerObserver(Observer o);
}
