package grafikchat.model;

import java.io.Serializable;

/**
 * DataPoint for communication between two sockets
 * 
 * @author marian
 */
public class TransceiverData implements Serializable
{
    private final TransceiverDataEvent e;
    private final Object o;
    private static final long serialVersionUID = 8582433437601788989L;
    
    public TransceiverData(TransceiverDataEvent e, Object o)
    {
        this.e = e;
        this.o = o;
    }
    
    public TransceiverDataEvent getEvent()
    {
        return this.e;
    }
    
    public Object getObject()
    {
        return this.o;
    }
}